Markdown formatter should use the :no_intra_emphasis extension
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 252

Resolution: Fixed Affected version: 251
Description

I'm so excited to see Redmine supporting markdown with Redcarpet (#15520)! However, this is causing a lot of unintended emphasis
rendering, e.g. at ruby-lang.org [1]. | think the “:no_intra_emphasis™ extension should be enabled when creating the
Redcarpet::Markdown formatter. From the Redcarpet docs [2]:

“:no_intra_emphasis:” do not parse emphasis inside of words.
Strings such as “foo_bar_baz’ will not generate “<em>" tags.

The fix is just to add ":no_intra_emphasis => true’ to [Redmine::WikiFormatting::Markdown::Formatter#formatter](
http://www.redmine.org/projects/redmine/repository/entry/trunk/lib/redmine/wiki_formatting/markdown/formatter.rb#L 125)

[1] https://bugs.ruby-lang.org/issues/9726, https://bugs.ruby-lang.org/issues/9724, https://bugs.ruby-lang.org/issues/9719,
https://bugs.ruby-lang.org/issues/9683, https://bugs.ruby-lang.org/issues/9679 are just the 5 most recent.
[2] https://github.com/vmg/redcarpet#and-its-like-really-simple-to-use

Associated revisions

Revision 13105 - 2014-04-26 09:02 - Jean-Philippe Lang
Set Redcarpet :no_intra_emphasis to true (#16669).

Revision 13158 - 2014-05-24 18:33 - Jean-Philippe Lang
Merged r13105 (#16669).

History

#1 - 2014-04-19 09:42 - Jean-Philippe Lang

- Target version set to 2.5.2

#2 - 2014-04-26 09:03 - Jean-Philippe Lang
- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r13105.

#3 - 2014-05-24 18:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
